Update an existing script.
Update an existing script.
PATCH
/api/scripts/{id}Path parameters
idnumberrequiredPath parameter: id
Body
namestringdescriptionstringscriptstringscript_typeobjectsource_urlstring | enumdoc_linkstring | enumRequest
curl
curl -X PATCH https://platform.trickest.com/api/scripts/{id} \
-H "Authorization: Bearer $TRICKEST_TOKEN" \
-H "Content-Type: application/json" \
-d '{ }'Responses
200Script updated successfully
idstringrequirednamestringrequireddescriptionstringtypeenumrequiredOne of: TOOL, SCRIPT, MODULE
categorystringauthorstringinputsobject[]outputsobject[]workflowstringvaultstringvault_infoobject400Bad Request – validation error or malformed input
codestringmessagestring401Unauthorized – missing or expired token
codestringmessagestring500Internal Server Error
codestringmessagestring